summaryrefslogtreecommitdiffstats
path: root/development/hopper
diff options
context:
space:
mode:
author pyllyukko <pyllyukko@maimed.org>2017-02-12 16:28:23 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-02-18 07:54:04 +0700
commit6c399e5d31fb2549ca9c98db58502068ccea0f00 (patch)
tree488e9757f6611f7659495c7e4221d7c1ed65747e /development/hopper
parent24c71f5ddd9cc30f984cf7c8dba457b9dfb8193e (diff)
downloadslackbuilds-6c399e5d31fb2549ca9c98db58502068ccea0f00.tar.gz
slackbuilds-6c399e5d31fb2549ca9c98db58502068ccea0f00.tar.xz
development/hopper: Added (disassembler).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/hopper')
-rw-r--r--development/hopper/README6
-rw-r--r--development/hopper/hopper.SlackBuild77
-rw-r--r--development/hopper/hopper.info10
-rw-r--r--development/hopper/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/development/hopper/README b/development/hopper/README
new file mode 100644
index 0000000000..b395c9616c
--- /dev/null
+++ b/development/hopper/README
@@ -0,0 +1,6 @@
+Hopper (disassembler)
+
+Reverse engineering tool that lets you disassemble
+and decompile 32/64 bits intel and ARM executables
+
+Hopper is only available as 64 bit version.
diff --git a/development/hopper/hopper.SlackBuild b/development/hopper/hopper.SlackBuild
new file mode 100644
index 0000000000..0add346943
--- /dev/null
+++ b/development/hopper/hopper.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for Hopper
+
+# Copyright 2017 pyllyukko
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=hopper
+VERSION=${VERSION:-3.13.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" != "x86_64" ]; then
+ echo "error: Hopper is only available for x86_64" 1>&2
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $PKG $OUTPUT
+pushd ${PKG}
+tar xvf $CWD/$PRGNAM-${VERSION}-1-x86_64.pkg.tar.xz
+rm -v .{INSTALL,PKGINFO}
+mkdir -v usr/doc
+mv -v usr/share/doc/hopper usr/doc/${PRGNAM}-${VERSION}
+pushd usr/doc
+# create a link as Hopper searches for it's own documentation in /usr/share/doc/hopper
+ln -s ${PRGNAM}-${VERSION} hopper
+popd
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+rm -rf $PKG/usr/share/doc
+mv $PKG/usr/lib $PKG/usr/lib64
+sed -i "s|lib|lib64|g" $PKG/usr/bin/hopper-*
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/hopper/hopper.info b/development/hopper/hopper.info
new file mode 100644
index 0000000000..aad6a74dae
--- /dev/null
+++ b/development/hopper/hopper.info
@@ -0,0 +1,10 @@
+PRGNAM="hopper"
+VERSION="3.13.0"
+HOMEPAGE="http://www.hopperapp.com"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://d1f8bh81yd16yv.cloudfront.net/hopper-3.13.0-1-x86_64.pkg.tar.xz"
+MD5SUM_x86_64="29a8515395f5291259273e273f5fb463"
+REQUIRES="qt5 avahi"
+MAINTAINER="pyllyukko"
+EMAIL="pyllyukko AT maimed dot org"
diff --git a/development/hopper/slack-desc b/development/hopper/slack-desc
new file mode 100644
index 0000000000..b41298ea93
--- /dev/null
+++ b/development/hopper/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hopper: hopper (disassembler)
+hopper:
+hopper: Reverse engineering tool that lets you disassemble
+hopper: and decompile 32/64 bits intel and ARM executables
+hopper:
+hopper:
+hopper:
+hopper:
+hopper:
+hopper: Homepage: http://www.hopperapp.com
+hopper: